import * as smartexpect from './dist_ts/index.js';
const obj = { topLevel: 'hello' };
try {
  smartexpect.expect(obj).toHaveProperty('topLevel');
  console.log('alias toHaveProperty succeeded');
} catch(err) {
  console.error('alias toHaveProperty failed:', err.message);
}
try {
  smartexpect.expect(obj).not.toHaveProperty('missing');
  console.log('alias not.toHaveProperty succeeded');
} catch(err) {
  console.error('alias not.toHaveProperty failed:', err.message);
}
