import * as smartexpect from './dist_ts/index.js';
console.log('script start');
const obj = { topLevel: 'hello' };
console.log('script: after obj');
console.log('script: test for alias toHaveProperty');
try {
  smartexpect.expect(obj).toHaveProperty('topLevel');
  console.log('alias toHaveProperty succeeded');
} catch(err) {
  console.error('alias toHaveProperty failed:', err.message);
}
console.log('script: after first try');
console.log('script: test for alias not.toHaveProperty');
try {
  smartexpect.expect(obj).not.toHaveProperty('missing');
  console.log('alias not.toHaveProperty succeeded');
} catch(err) {
  console.error('alias not.toHaveProperty failed:', err.message);
}
console.log('script end');
